<?php

class EWRutiles_Staff_Listener_BbCode
{
	public static function formatter($class, array &$extend)
	{
		$options = XenForo_Application::get('options');
		
		switch ($class)
		{
			case 'XenForo_BbCode_Formatter_Base':
			{
				if ($options->EWRutiles_Staff_notice)
				{
					$extend[] = 'EWRutiles_Staff_BbCode_Formatter';
				}
				break;
			}
		}
	}
}